package gov.va.med.esr.delegates;

import gov.va.med.esr.mvc.model.ServiceDataWrapper;
import gov.va.med.esr.service.external.EntityFinder;

public class DelegateResultAdvice {
	public void postProcessResult(Object dataWrapper, EntityFinder finder) {
		if(dataWrapper != null && dataWrapper instanceof ServiceDataWrapper) {
			ServiceDataWrapper target = (ServiceDataWrapper) dataWrapper;
			if(target.getServiceData() == null)
				target.activateNoDataMessage(new String[] { finder.getFinderData() });
		}
	}
}
